%define module 	XML-Simple
%define	name	perl-%{module}
%define version 2.16
%define release %mkrel 1

Summary:	Easy API to maintain XML (esp config files)
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}/
Source:     http://www.cpan.org/modules/by-module/XML/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:	perl(XML::SAX::Expat)
BuildArch:  	noarch
BuildRoot:  	%{_tmppath}/%{name}-%{version}

%description
XML::Simple is a trivial perl API to manipulate XML.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/XML
%{_mandir}/*/*


%changelog
* Thu Dec 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.16-1mdv2007.0
+ Revision: 96784
- new version
- Import perl-XML-Simple



* Fri Feb 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.14-1mdk
- 2.14

* Wed Nov 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.13-1mdk
- 2.13

* Fri Apr 23 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.12-1mdk
- 2.12

* Sun Nov 30 2003 Stefan van der Eijk <stefan@eijk.nu> 2.09-1mdk
- 2.09

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.08-2mdk
- rebuild for new perl
- don't rm -rf $RPM_BUILD_ROOT in %%prep
- don't use PREFIX
- use %%makeinstall_std macro

* Mon Jun 30 2003 Franois Pons <fpons@mandrakesoft.com> 2.08-1mdk
- 2.08.

* Fri Jun 13 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 2.05-2mdk
- rebuild to get proper dependencies

* Fri Apr 18 2003 Franois Pons <fpons@mandrakesoft.com> 2.05-1mdk
- 2.05.

* Thu Feb 13 2003 Franois Pons <fpons@mandrakesoft.com> 2.03-1mdk
- 2.03.

* Wed Jul 10 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.08-3mdk
- add 'make test'

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.08-2mdk
- rebuild for perl 5.8.0

* Tue Mar 26 2002 Franois Pons <fpons@mandrakesoft.com> 1.08-1mdk
- removed filelist.
- build as noarch.
- 1.08.

* Tue Jan 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.06-1mdk
- 1.06
- url

* Wed Dec  5 2001 Stefan van der Eijk <stefan@eijk.nu> 1.05-3mdk
- fix BuildRequires

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.05-2mdk
- rebuild

* Wed Mar 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.05-1mdk
- new in contribs
